Name:           gnome-shell-extension-chatgpt
Version:        1.2
Release:        1%{?dist}
Summary:        ChatGPT Gnome Desktop Extension for Wayland

License:        MIT
URL:            https://github.com/HorrorPills/ChatGPT-Gnome-Desktop-Extension

# Create tarball
# git clone https://github.com/HorrorPills/ChatGPT-Gnome-Desktop-Extension gnome-shell-extension-chatgpt-1.2
# tar -czvf gnome-shell-extension-chatgpt-1.2.tar.gz gnome-shell-extension-chatgpt-1.2/
Source0:        %{name}-%{version}.tar.gz
Patch0:         chatgpt-gnome-extension-makefile.patch

BuildArch:      noarch
BuildRequires:  make, git
Requires:       gnome-shell-extension-common

%description
The ChatGPT Gnome Desktop Extension provides a simple way to access ChatGPT from
your Gnome desktop environment on Wayland. This package installs the extension
to Gnome's extension directory for the current user.

%prep
# Setup source code for building
%autosetup -p 1 -n %{name}-%{version}

%build
# Nothing to build as it's a Gnome Shell extension written in JavaScript

%install
# Create the target directory in the buildroot
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/chatgpt-gnome-desktop@chatgpt-gnome-desktop/

# Copy the extension files into the appropriate directory in the buildroot
cp -r ./chatgpt-gnome-desktop@chatgpt-gnome-desktop/* %{buildroot}/%{_datadir}/gnome-shell/extensions/chatgpt-gnome-desktop@chatgpt-gnome-desktop/

%files
%doc README.md
%license LICENSE
%{_datadir}/gnome-shell/extensions/chatgpt-gnome-desktop@chatgpt-gnome-desktop/

%changelog
* Wed Oct 23 2024 Martin Gansser <martinkg@fedoraproject.org> - 1.2-1
- Initial packaging of ChatGPT Gnome Desktop Extension for Fedora 41
